[general]
listen = "{{ acmedns__dns_listen_address }}:{{ acmedns__dns_listen_port }}"
protocol = "both"
domain = "{{ acmedns__domain }}"
nsname = "{{ acmedns__nameserver_name }}"
nsadmin = "{{ acmedns__nameserver_admin }}"

records = [
    "{{ acmedns__domain }}. A {{ ansible_default_ipv4.address }}",
{% if ansible_default_ipv6.address is defined %}    "{{ acmedns__domain }}. AAAA {{ ansible_default_ipv6.address }}",{% endif %}
    "{{ acmedns__domain }}. NS {{ acmedns__nameserver_name }}.",
]

debug = false

[database]
engine = "sqlite3"
connection = "/var/lib/acme-dns/acme-dns.db"

[api]
ip = "{{ acmedns__api_listen_address }}"
disable_registration = {{ acmedns__disable_registration }}
port = "{{ acmedns__api_listen_port }}"
tls = "{{ acmedns__tls_method }}"
acme_cache_dir = "/var/lib/acme-dns/api-certs"
corsorigins = [
    "*"
]

use_header = false
header_name = "X-Forwarded-For"

[logconfig]
loglevel = "{{ acmedns__logging_level }}"
logtype = "stdout"
logformat = "text"